Получаване на изходящи асистенти
curl --request GET \
--url https://call.aiployees.com/api/user/assistants/outbound \
--header 'Authorization: Bearer <token>'import requests
url = "https://call.aiployees.com/api/user/assistants/outbound"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://call.aiployees.com/api/user/assistants/outbound', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 123,
"user_id": 1,
"name": "Sales Outbound Assistant",
"type": "outbound",
"mode": "pipeline",
"status": "active",
"voice_id": 8,
"language_id": 1,
"timezone": "America/New_York",
"initial_message": "Hi, this is Sarah from Your Company. I hope I'm catching you at a good time. How are you doing today?",
"system_prompt": "You are a sales representative for Your Company. Be professional, friendly, and focus on qualifying leads.",
"variables": {
"company_name": "Your Company",
"product_line": "Premium Services"
},
"webhook_url": "https://yourcompany.com/api/webhooks/outbound-calls",
"is_webhook_active": true,
"created_at": "2025-07-15T14:32:15.000000Z",
"updated_at": "2025-08-02T09:18:42.000000Z"
},
{
"id": 124,
"user_id": 1,
"name": "Follow-up Assistant",
"type": "outbound",
"mode": "multimodal",
"status": "inactive",
"voice_id": 12,
"language_id": 1,
"timezone": "America/Los_Angeles",
"initial_message": "Hello! I'm calling to follow up on our previous conversation. Do you have a few minutes to chat?",
"system_prompt": "You are a follow-up specialist. Be warm and professional while gathering feedback and next steps.",
"variables": {
"purpose": "follow_up",
"max_duration": "5_minutes"
},
"webhook_url": null,
"is_webhook_active": false,
"created_at": "2025-07-20T10:15:30.000000Z",
"updated_at": "2025-07-25T16:45:22.000000Z"
}
]
Асистенти
Получаване на изходящи асистенти
Извличане на всички изходящи асистенти за удостоверения потребител
GET
/
user
/
assistants
/
outbound
Получаване на изходящи асистенти
Този endpoint връща списък с всички изходящи асистенти, принадлежащи на удостоверения потребител. Изходящите асистенти се използват за извършване на повиквания до потенциални клиенти и проспекти.
Response полета
array
Show properties
Show properties
integer
Уникалният идентификатор на асистента
integer
ID на потребителя, който притежава този асистент
string
Името на асистента
string
Типът на асистента (винаги ще бъде “outbound” за този endpoint)
string
Режимът на engine (
pipeline или multimodal)string
Текущият статус на асистента
integer
ID на гласа, използван от асистента
integer
ID на езика, използван от асистента
string
Настройката за часова зона на асистента
string
Първоначалното съобщение, което асистентът ще произнесе
string
Системният prompt, който дефинира поведението на асистента
object
Персонализирани променливи, дефинирани за асистента
string
URL адресът на webhook за известия след разговор
boolean
Дали webhook известията са активирани
string
Датата и часът, когато асистентът е създаден
string
Датата и часът, когато асистентът е последно актуализиран
[
{
"id": 123,
"user_id": 1,
"name": "Sales Outbound Assistant",
"type": "outbound",
"mode": "pipeline",
"status": "active",
"voice_id": 8,
"language_id": 1,
"timezone": "America/New_York",
"initial_message": "Hi, this is Sarah from Your Company. I hope I'm catching you at a good time. How are you doing today?",
"system_prompt": "You are a sales representative for Your Company. Be professional, friendly, and focus on qualifying leads.",
"variables": {
"company_name": "Your Company",
"product_line": "Premium Services"
},
"webhook_url": "https://yourcompany.com/api/webhooks/outbound-calls",
"is_webhook_active": true,
"created_at": "2025-07-15T14:32:15.000000Z",
"updated_at": "2025-08-02T09:18:42.000000Z"
},
{
"id": 124,
"user_id": 1,
"name": "Follow-up Assistant",
"type": "outbound",
"mode": "multimodal",
"status": "inactive",
"voice_id": 12,
"language_id": 1,
"timezone": "America/Los_Angeles",
"initial_message": "Hello! I'm calling to follow up on our previous conversation. Do you have a few minutes to chat?",
"system_prompt": "You are a follow-up specialist. Be warm and professional while gathering feedback and next steps.",
"variables": {
"purpose": "follow_up",
"max_duration": "5_minutes"
},
"webhook_url": null,
"is_webhook_active": false,
"created_at": "2025-07-20T10:15:30.000000Z",
"updated_at": "2025-07-25T16:45:22.000000Z"
}
]
Бележки
- Този endpoint връща само асистенти с тип “outbound”
- Връщат се всички асистенти, принадлежащи на удостоверения потребител (без пагинация)
- Използвайте тези асистенти с endpoint за извършване на повиквания, за да инициирате изходящи разговори
- Изходящите асистенти могат да се използват за търговски разговори, проследявания, проучвания и други проактивни сценарии за обаждане
⌘I

